PowerArchiver 2000 Help

Overview

PowerArchiver 2000 is most powerful Freeware Archive Utility that exists for Windows® 95, Windows® 98 and Windows NT®. Working in easy and modern user interface, similar to other popular archive utilities, gives you internal (built-in) support for many compressed (and encoded) files and access to many powerful features. With complete help, in HTML format, learning has never been easier -- like browsing through nice web pages. Click on the "Features" to see more information about PowerArchiver.

Features

  • User Interface like in other popular Archive managers with some elements of new Windows 2000
  • Complete built-in support (including creating archive and adding files) for ZIP, CAB, LHA (LZH), TAR, TAR.GZ, [image] TAR.BZ2 [image] and BH (BlakHole) files, and built-in support for reading and extracting many other file formats: RAR, ARJ, ARC, ACE, ZOO, GZ, [image] BZIP2 [image], XXE and UUE
  • Many powerful archive operations (including: renaming files in archive, spanning archives, testing archives, viewing and writing comments, installing archives, checking archives for viruses, etc.)
  • Internal viewer that support TXT, RTF, BMP, ICO, WMF, EMF, [image] GIF [image] and JPG (JPEG) files
  • Drag and Drop from/to Windows Explorer and Desktop
  • Two ways of viewing archive (Classic - all files in the same listing; Explorer - browsing through archive like through folders in Windows Explorer)
  • Creating powerful Self Extracting Archives
  • Complete integration with Windows (Extracting Archives and creating Archives directly from Windows Explorer using powerful "Explorer Shell Extensions")
  • Viewing files in all view styles, including "as Web page"
  • Converting between file formats (for example ZIP archive to CAB archive, or LHA archive to ZIP archive, ...)
  • Tool for extracting multiple archives...
  • Printing file list to printer, or exporting file list to HTML or TXT files
  • Powerful help in HTML format + a tutorial with pictures for beginners
  • And many, many other useful and powerful features...

Copyright© 2000 eFront, Inc.
Windows® is a registered trademark of Microsoft Corporation


PowerArchiver - Introduction

Introduction

<Back> <Forward>

Have you ever used the Internet, CompuServe, or America Online? If so, you've probably encountered Zip or other compressed files. Are you a Windows user? If so, PowerArchiver is THE way to handle these archived files.

PowerArchiver brings the convenience of Windows to the use of Zip files and many, many other compression formats.

PowerArchiver features include:

  • Complete built-in support for creating and working with ZIP (+QUAKE PK3, +JavaARchiver), CAB, LHA (LZH), TAR, TAR.GZ, [image] TAR.BZ2 [image] and BH (BlakHole - fast and good compression format by Carl Bunton) compressed files, and built-in support for reading and extracting many other file formats like: RAR, ARJ, ARC, ACE, ZOO, GZ, [image] BZIP2 [image], XXE and UUE
  • Windows 95/98/NT integration: PowerArchiver includes long filename support and tight integration with the Windows 95/98/NT shell. Drag and drop to or from Explorer, or zip and unzip without leaving Explorer using powerful Explorer Shell Extensions.
  • With PowerArchiver you can do everything you can imagine with ZIP, CAB, LHA, TAR, TAR.GZ, [image] TAR.BZ2 [image] and BH (BlakHole) compressed files (add, extract, view, delete, rename files in an archive, test, install archives, check for viruses in an archive, convert them to powerful SFX archives, etc.) and some basic operations with RAR, ARJ, ARC, ACE, ZOO, GZ, [image] BZIP2 [image] compressed files (extract, view, install, check for viruses, test).
  • Internet support: Complete support for XXE and UUE Internet encoded files.
  • Automatic installation of most software distributed in Zip files: If a Zip file contains a “setup.exe” or “install.exe” program in the central (root) directory, PowerArchiver’s Install feature will unzip the files, run the installation program and clean up any temporary files used.
  • Favorite Zip Folders: PowerArchiver lets you organize Zip files into one convenient list that is sorted by date, making it easier to locate all Zip files, regardless of where they came from or where they are stored. Unlike the standard File->Open Archive dialog box, the Favorite Zip Folders dialog box treats the contents of multiple folders as though they were one folder. A Search facility will find any Zip files lost on your hard disk.
  • Create files that unzip themselves: with the PowerArchiver Self-Extractor. Self-extracting files are ideal for sending compressed files to others who may not own or know how to use file compression software.
  • Virus Scanner Support: PowerArchiver can be configured to work with most virus scanners.

PowerArchiver is extremely easy to use! To open an archive simply double click (or click if you are using WEB Style listing) on an archive listed in My Computer or the Windows Explorer or drag and drop an archive onto an empty PowerArchiver window or use the standard Open dialog box. The main PowerArchiver window features a list with the names, sizes, and date/time stamps of all files in the opened archive. This list can be scrolled and sorted on any field.

Double clicking on a file in the main PowerArchiver window has the same effect as double clicking in My Computer or the Windows Explorer. First the file is extracted from the archive. Then, if the file is executable, it is run. Otherwise, the file is opened by the appropriate application (for example, NOTEPAD for *.TXT files) based on standard Windows associations. If the file hasn't got an appropriate application then the file is viewed by NOTEPAD.

The Windows Drag and Drop interface is fully supported. You can drag and drop files from PowerArchiver to other applications. PowerArchiver will extract the files before dropping them on the target application. The target application will treat the files as if they had been dropped from My Computer or the Windows Explorer. You can also drop archives on an empty PowerArchiver window to open them or drop the files on PowerArchiver to add them to an opened archive.


PowerArchiver - Current Awards

Current Awards:

<Back> <Forward>

PowerArchiver has in the last few months been tested by many magazines and download sites. Here are some of the many awards that PowerArchiver won:

  • ZDNet's "Hot Utility of the day" for March 23th and April 3rd

  • rated with "COOL" and marked with "USER'S CHOICE" at www.listsoft.com

  • Rated with ***** at www.sharewarejunkies.com

  • Rated with ***** at www.filetransit.com

  • Rated with ***** (TOP AWARD) at www.completelyFREEsoftware.com

  • Rated with ***** at www.supershareware.com

  • Skylark Utilities Editor's Pick (www.skylarkutilities.com)

  • Pick of the week July 1999 at www.skylarkutilities.com

  • Rated with ***** at softwarecenter.net

  • Rated with ****** (BEST) at nonags.com

  • Rated with ***** at www.filedudes.com

  • Rated with ***** at www.5star-shareware.com

  • Rated with ***** at www.hotfiles.com

  • Marked with "pick" at www.download.com

And many, many others... For more awards, please visit PowerArchiver WebSite.


PowerArchiver - Quick Start

Quick Start

What is an Archive file?
An archive normally refers to a collection of files that have been combined into one single file. Archives are also referred to as ZIP files. The files within an archive are referred to as "files" and are normally compressed. Compressing files into an archive provides several benefits.

It increases hard drive storage space. Files that are used less frequently can be compressed into an archive to save valuable hard drive space. Along with new program technology has come larger programs and larger data files. Let's assume that we have 100 files that are 10k each (about the size of a one page letter written in Windows WordPad). If you think that these files are taking up one MB (10,000 x 100) of disk space, you'd be wrong. Instead due to the way Windows 95 stores files on the hard drive, they are instead occupying 4.3MB. Multiply this to all the files on your entire system and you can understand where all your free space goes.

This is where PowerArchiver comes to the rescue. PowerArchiver enables you to easily archive those 100 files into one single file. Look at how PowerArchiver could help us in the previous example. If you compressed all 100 of those WordPad letters into one Archive file, it would take less than .5 MB. Then, when you need to access one of the document files within the archive, PowerArchiver's View feature lets you do it with a click of the mouse.

Faster transmission of files across the Internet. By compressing the files you intend to transfer across the Internet into a single archive, you can decrease the total size of the files. Using PowerArchiver's compression you can normally achieve a 50% reduction of the size of the uncompressed file size (of course, this ratio can be higher or lower depending on the type of file being compressed).

The majority of files that can be downloaded from the Internet are compressed into a ZIP archive for faster transmission. All software manufacturers distribute their evaluation and beta versions in an archive ZIP file. All of these files are fully compatible with PowerArchiver.
But today CAB archives are becoming more and more popular so this format is also fully compatible with PowerArchiver. Beside those formats, PowerArchiver supports creating and working also with LHA, TAR, TAR.GZ, [image] TAR.BZ2 [image] and BH (BlakHole) files, and supports limited operations (read-only) with ARJ, RAR, ARC, ACE, ZOO, GZ and [image] BZIP2 [image] compressed archives.

PowerArchiver simplifies the process of providing associated programs (applications) with files. Many users prefer to provide several related files to an associate in the form of an Archive. This simplifies the process of keeping the files from being separated.

PowerArchiver - Quick Start Tutorial

<Back> <Forward>


PowerArchiver - Quick Start Tutorial

Quick Start Tutorial

Click on each tutorial topic, in sequence, to learn basics about PowerArchiver:

1) The Main PowerArchiver Screen
2) Opening an Archive
3) Creating a new Archive
4) Adding Files to an Archive
5) Removing Files from an Archive
6) Viewing Files in an Archive
7) Extracting Files from an Archive

This brief overview tutorial introduces you to each of the main PowerArchiver concepts and features to get you working productively as quickly as possible. Note: if you prefer a strict “learning by doing” approach, you may prefer the PowerArchiver Tutor, which uses a “step by step” approach to introduce new users to zipping and unzipping. You will get the most benefit from these lessons if you change the size of this Help window to leave enough room on the screen to have PowerArchiver opened at the same time. As each screen describes an operation, you may want to try certain things with PowerArchiver to gain an even better understanding. You can move through the tutorial as quickly or as slowly as you like. Important: This tutorial approaches the topic using the main PowerArchiver window as its base of operations. This is not the only way to access PowerArchiver's convenient features. For example, you can use PowerArchiver to unzip files without leaving My Computer or the Windows Explorer. Once you are comfortable with the basic operations described in this tutorial, be sure to read the section "Hints and Tips".


PowerArchiver - Opening an Archive with the Drag and Drop Interface

Opening an Archive with the Drag and Drop Interface

To open an archive with the Drag and Drop Interface:

1. Click on an archive in My Computer or the Windows Explorer.

2. While holding down the mouse button, move (drag) the mouse pointer over an empty PowerArchiver window (if you have already opened an archive in PowerArchiver, it won't open the dragged file, it will add that file to the opened archive).

3. Release the mouse button. This opens the selected archive

Note: You can also open archives by double clicking (or single clicking if you are using IE 4.0 Active Desktop) on the name of an archive in My Computer or the Windows Explorer or by clicking on the "Open" button in the main PowerArchiver window or by selecting "Open" from the "File" pull-down menu.


PowerArchiver - Adding a File to an Archive with the Drag and Drop Interface

Adding a File to an Archive with the Drag and Drop Interface

To add a file to an archive with the Drag and Drop Interface:

1. Click on a file in My Computer or the Windows Explorer.

2. While holding down the mouse button, drag (move) the mouse pointer to the PowerArchiver window.

3. Release the mouse button to drop the file.

Note: You must first open an PowerArchiver archive before you can add files to the archive. To add multiple files to an archive using the Drag and Drop Interface, select the desired files in My Computer or the Windows Explorer before dragging them to the PowerArchiver opened archive..

There are other ways to add files to an archive:

    The Add dialog box

    The Explorer or File Manager interface


PowerArchiver - Extracting Files in an Archive with the Drag and Drop Interface

Extracting Files in an Archive with the Drag and Drop Interface

<Back> <Forward>

You can drag and drop files from PowerArchiver to other applications, My Computer or Windows Explorer, the desktop, printers, and to create shortcuts. If you drop files on a folder listed in My Computer or the Windows Explorer, the files are extracted to that folder. If you drop files on the desktop, the files are extracted to the desktop folder. If you drop files on another application or on a shortcut, the files are extracted to the temp folder before the files are passed to the application, and will be removed when the archive is closed.

Important:

Different applications handle dropped files in different ways. For example, when you drop a file on a Wordpad application distributed as part of Windows it will embed the file as an OLE object, but when you drop a file on a Notepad application distributed as part of Windows it will open the file. You may need to experiment with drag and drop to understand how each application reacts to a file dropped on it.

Note: You can also extract files by pressing the "Extract" button or using the "Extract" entry on the "Actions" pull-down menu.

You can copy files from one archive to another by opening multiple copies of PowerArchiver, one for each archive, and dragging files from one to the other.


PowerArchiver - Drop Dialog Box

Drop Dialog Box

The Drop dialog box is displayed when you use the Drag and Drop Interface to add files to an archive.
To change archive name click on the "New..." or "Open..." buttons to activate the standard New or Open dialog boxes, respectively.

These shortcuts provide a quick way to add files to a different archive without going through the File pull-down menu.

For other options click here.


PowerArchiver - Windows 95/98/NT Shell Integration Examples

Windows 95/98/NT Shell Integration Examples

Here are some quick examples of the smooth integration of PowerArchiver into Windows 95/98/NT:

Zip and Unzip Files Without Leaving Windows Explorer:

  • To extract all the files in a Zip without leaving Explorer: right click on the compressed file, then choose “Extract to...” or "Extract to c:\..." or "Extract here" from the context menu. If you select "Extract to" you will get a window in which you can select a specific folder to extract files into.
  • Another way to extract files from an archive is to use the right mouse button to drag and drop an archive from an Explorer window to any folder icon, then choose “Extract to” from the context menu. To do this, be sure to use the right mouse button while dragging.
  • To add files to a Zip without leaving Explorer: just select one or more files in Explorer, right click on one of these highlighted files and choose "Compress to .. + Options" or "Compress to ...zip". Another way to add files to an archive is to drag any file to the icon of an existing archive.

Using drag and drop from the main PowerArchiver window:

  • To extract a file: drag a file to a folder listed in any Explorer window.
  • To view a file: drag a file to the appropriate application window or to a shortcut to the application.

Creating NEW empty archives without leaving Explorer:

  • Right click somewhere on the directory or Desktop and from "New..." menu choose "PowerArchiver file"

Using the Start Menu:

  • If you select "Include PowerArchiver in the Start menu" in PowerArchiver's "Options" menu, you can start PowerArchiver directly from the system Start menu.
  • You can open a recently accessed archive from the "Documents" submenu in the system Start menu.


PowerArchiver - Menu Tree

Menu Tree

File Menu:

New Archive | Create a new archive
Open Archive | Open an existing archive
Favorite Zip Folders... | Open the Favorite Zip Folder dialog
Close Archive | Close the opened archive
Properties… | Display the opened archive's properties
Create Shortcut | Add a shortcut to the opened archive on the desktop
Move Archive | Move the opened archive to a different drive or folder
Copy Archive | Copy the opened archive to a different drive or folder
Rename Archive | Change the file name of the opened archive
Delete Archive... | Delete the opened archive
Print file listing... | Print a listing of the opened archive's contents to a Printer, single TXT document or HTML document
Exit | Close PowerArchiver

Edit Menu:

Select All | Select all the files in the opened archive
Invert Selection | Reverse the selected and unselected file status in the opened archive
UnSelect All | Deselect all files in the opened archive
Find File(s) | Find and select specific files (like *.mp3 created between 02/05/1998 - 02/05/1999)

View Menu:

Toolbar | Display/Hide toolbar
Archive Folders Bar | Display/Hide tree with folders in archive --- only available if using Explorer Display style
Status Bar | Display/Hide status bar
Default Columns Widths | Restore default columns widths
as Web Page | Display files as a web page and enable single click operations
Classic Display style | Displays all files from archive in the same listing.
Explorer Display style | Displays files from archive like in Windows Explorer. Browsing through archive is like browsing through folders in Windows Explorer.
Large Icons | Display files with large icons (usually 32x32)
List | Display files as a list
Details | Display files with full information (size, ratio, path)
Arrange Icons | Specify the sort order for the list of files in the archive
Refresh | Reload the Archive's files listing

Actions Menu:

Add... | Add files to the opened archive
Delete... | Delete files from the opened archive
Extract... | Extract files from the opened archive
View... | View files in the opened archive
Virus Scan | Run a virus scan program on the archive's contents
Make .EXE File | Create a self-extracting archive
UUEncode | Encodes current archive to one of formats (XXE and UUE).
Test | Test the integrity of the opened archive
Comment… | View, add, edit, or delete a Zip comment
CheckOut... | Examine and/or run programs in the opened archive
Install... | Install the software contained in the opened archive
.EXE -> .ZIP | Convert an SFX Archive to the original ZIP Archive (only if it is a ZIP SFX Archive)

Tools Menu:

Archive converter... | converts any type of archive to one of the following types: BH, LHA, CAB, ZIP, TAR or TGZ. For example TEST.RAR -> TEST.LZH or TEST.ZIP -> NEWNAME.CAB
Write ZIP disk span... | converts a single ZIP archive to spanned ZIP archive
Read ZIP disk span... | converts a spanned ZIP archive to a single ZIP archive
Multi Extract... | extracts multiple archives to select directory/directories
Detect File Type... | detects type of archive (ARJ, ZIP, ...) for some file

Options Menu:

Configuration... | Change PowerArchiver settings
Include PowerArchiver in the Start menu... | create/delete a shortcut in the Start menu to PowerArchiver
Include PowerArchiver on the Desktop... | create/delete a shortcut on the Desktop to PowerArchiver
Reuse PowerArchiver Windows | enable/disable only one instance of PowerArchiver
Clear History... | clear list of last 5 files used
View Last Output... | View output from the last command issued by PowerArchiver

Help Menu:

Contents | Start Help and display the topics in the PowerArchiver help file
Brief Tutorial | Display the brief PowerArchiver tutorial
Tip of the Day | Open the Tip of the Day window
Frequently Asked Questions | Open the FAQ help page
PowerArchiver's Home Page | Starts your default browser and visits the PowerArchiver web site
About PowerArchiver... | Displays the copyright notice and PowerArchiver version


PowerArchiver - Creating a New Archive

Creating a New Archive

To create a new archive, select "New Archive" from the PowerArchiver "File" pull-down menu. This activates the New Archive dialog box. Type the name of the archive you want to create. Do not enter the names of the files you want to compress. This dialog box works almost like the standard Windows Open dialog box. You can use the Create in combo box to choose the drive and folder where the archive will be created. For example, to create an archive on your floppy drive, select “3 ½ Floppy” in the Create in combo box. The names of any existing archives on the selected drive and folder will be listed to help you choose a name that is not already in use.

Don't forget that you can choose which archive format you would like to use. From the "Save as type" combo box, you can choose between these archive formats: ZIP, CAB, LHA (LHA), TAR or BH (BlakHole).

If you want to create TAR.GZ or TAR.BZ2 archive you have to choose TAR archive when creating new file, and later while selecting files to add you have to choose "GZIPed TAR" or "BZIPed TAR" from compression methods.


PowerArchiver - Opening an Existing Archive

Opening an Existing Archive

To open an existing archive, select "Open Archive" from the PowerArchiver "File" pull-down menu. This activates the standard Open Archive dialog box. Then select the archive you want to open in the Open dialog box. Opening an archive is just like opening a document in Write or a spreadsheet in Excel; the only difference is that you open an archive instead of a document or spreadsheet. Use the "Look in:" combo box to select the appropriate folder and click on the archive in the list below. Press the OK button when you have made your selection.

To list self-extracting archives in the New and Open dialog boxes, select the “Archives and .exe files” entry in the "Files of type:" combo box. Note: when self-extracting archives are listed in the open dialog box, all EXE in the selected folder will be listed, even if they are not self-extracting archives. PowerArchiver is not able to determine if a file is a self-extracting archive until it has been opened.


PowerArchiver - Adding Files to an Archive

Adding Files to an Archive

New users: for introductory information, please see the section Brief Tutorial - Adding Files to an Archive.
This section describes the Add dialog box. There are other ways to add files to an archive:

  • The Drag and Drop interface
  • The Explorer interface

The Add dialog box:

To open the Add dialog box, click on the "Add" push button or select the "Add" entry from the "Actions" pull-down menu to bring up the Add dialog box.

You can select the files you want to add in several ways:

  • Click on the desired files in the list near the top of the Add dialog box. You can select multiple files using normal Windows file selection conventions (for example, hold down the Shift key while clicking to select multiple files). Then press the "Add" button.
  • To add files with wildcards (for example, “*.doc” to add all files with an extension of .doc), click on "File filter..." button and type the filename with wildcards in the "enter file group" field, then press ENTER. Those files are now selected in Add filelist.

See the section titled Add and Drop Dialog Box Options for a description of the options available in this dialog box


PowerArchiver - Archive Managment

Archive Managment

The "Copy Archive", "Move Archive", "Rename Archive" and "Delete Archive..." entries in the "File" menu facilitate archive management.

Copy Archive copies the opened archive to another folder or disk. The Copy dialog box is displayed so you can choose the destination for the copy operation.

Move Archive moves the opened archive to another folder or disk. The Move dialog box is displayed so you can choose the destination for the move operation.

Rename Archive gives you an opportunity to change the file name of the opened archive. The Rename dialog box lets you change the open archive's file name but not the filename extension (file type). Simply type the new file name and press the OK button.

Delete Archive deletes the opened archive. A confirmation dialog is displayed to avoid accidental deletion. If you choose to continue, the archive is closed and deleted.


PowerArchiver - Add and Drop Dialog Box Options

Add and Drop Dialog Box Options

The Add and Drop dialog boxes include these options:

  • The Action drop down list provides four choices: Add, Freshen, Move, and Update. The Add option causes PowerArchiver to add all specified files to the archive. The Freshen option causes PowerArchiver to update files already in the archive that match the specified files. The Update option is the same as Freshen, but adds any specified files that are not already in the archive. The Move option works the same as Add, except that once the specified files have been added to the archive they are deleted from disk.
  • The Compression drop down list determines the compression method. Faster compression options usually result in larger archives.
  • The Multiple disk spanning drop down list controls how PowerArchiver handles disk-full conditions while creating a new Zip file. You can select from one of three available values

    Automatic will automatically prompt for another diskette when the diskette on which you are creating a Zip file is full.

    Custom allows you to select custom volume sizes (it is useful if you want first to create those archive on disk and then copy them to diskettes). Max volume size indicates the size in bytes of those volumes.

    No Spanning results in a “disk full” error message if the size of the Zip file exceeds the space available on the removable diskette.

  • The Save extra folder info causes PowerArchiver to store any folder path information specified in the file listing.
  • The Save Full Folder Info causes PowerArchiver to store full the path (from root directory) for all files.
  • The Password button will password protect (encrypt) the file(s) you are adding.
  • The "File filter..." button enables you to select which files you want to add (for example, *.mp3). When you type in this information, PowerArchiver will select only those files in the Add file list. After the selection is made, you can manually select or deselect each file.
  • The "Include System and Hidden files" option lets PowerArchiver add files with 'system' or 'hidden' attributes. By default, files with these attributes are included.


PowerArchiver - Deleting Files from an Archive

Deleting Files from an Archive

Select entries in the list box, then select "Delete" from the "Actions" pull-down menu.

  • Select "Selected files" and them click on "Delete" button to delete selected files

  • Select "Files" and then specify the files you want to delete (standard Windows wildcards are accepted, so you could use “*.doc” to delete all .doc files).

Note: This operation cannot be undone.

To delete an entire archive select "Delete" from the "Actions" pull-down menu to bring up the Delete dialog box. Then select the "Entire archive" option button and click on the "Delete" button. Alternatively, you can select "Delete archive..." from the "File" menu.


PowerArchiver - Extracting Files from an Archive

Extracting Files from an Archive

New users: for introductory information, please see the section "Brief Tutorial - Extracting Files".

This section describes the Extract dialog box. There are other ways to extract files from an archive:

  • The Drag and Drop interface
  • Directly from My Computer or the Windows Explorer, as described in the section "Windows 95/98/NT Shell Integration Examples"
  • If a Zip file contains a “setup” or “install” program, you can use that to automatically extract the files, run the installation program and clean up any temporary files.

The Extract dialog box:

Use the "Extract" button on the toolbar or select "Extract" from the "Actions" menu to display the Extract dialog box. Use the Extract dialog box to extract or “unzip” files from the open archive to your disk.

PowerArchiver extracts files from the archive to the folder specified in the "Extract to:" field. You can specify this folder in one of four ways:

  • Select a folder and drive in the "Folders/drives:" list box.
  • Type a folder name in the "Extract to:" field.
  • Pull down the "Extract to:" combo box and select a folder from the list of previous "Extract to:" folders.
  • Press the "New" button and create a folder.

The Extract dialog box provides the following options:

  • The "Selected files" option instructs PowerArchiver to extract only files that are selected in the main PowerArchiver window. You can use conventional file selection methods to choose files. This option is disabled if no files are selected.
  • The "All files" option instructs PowerArchiver to extract all the files from the archive.
  • The "Files:" option and edit field allow you to specify which files are to be extracted using their file names (standard Windows wildcards are accepted, so you could use “*.doc” to extract all .doc files)
  • The "Overwrite Existing Files" check box determines if you are prompted before an existing file is overwritten by a file from the archive.
  • The "Skip Older Files" check box determines if PowerArchiver skips (does not extract) existing files when the date/time stamp of the file in the archive is older than the file on the disk.
  • The "Use folder names" check box determines whether PowerArchiver will use folder names (also known as path names) stored in the archive. You will probably want to check this option for most extract operations. If this option is checked any folder names stored in the archive will be appended to the Extract to folder when appropriate. If this option is not checked all files will be extracted to the same folder, regardless of any folder names in the archive.
    For example, assuming the Extract to folder is “c:\temp", the file “mydir\filename” will be extracted to the folder “c:\temp\mydir” if the Use folder names option is checked, or the folder “c:\temp” if the option is not checked.
  • The "New Folder" button activates the Create Folder dialog box. Note that you can extract files and create a folder without this dialog box by simply typing the name of the new folder in the "Extract to:" field of the Extract dialog box and press the "Extract" button.


PowerArchiver - Viewing Files in an Archive

Viewing Files in an Archive

You can view files in an archive in several ways:

  • With the "View" button in the toolbar or the "View" entry in the "Actions" pull-down menu. This activates the View Dialog Box.
  • With the Drag and Drop interface.
  • With the features described in the section entitled "Checkout Feature".
  • Most files can be viewed by double clicking on the file name in the main window's list box, as described in the section entitled "Double Clicking".


PowerArchiver - Selecting Files an Invert Selection

Selecting Files and Invert Selection

The "Select All" entry in the "Edit" menu selects all the files in the main window's list box. "Invert Selection" deselects the currently selected files and selects the currently unselected files. Selected files can then be easily deleted, extracted, or viewed.


PowerArchiver - Virus Scan

Virus Scan

Use the "Virus Scan" entry in the "Actions" pull-down menu to determine whether files in the archive contain viruses. To use this feature a virus scanner must be configured (Options -> Configuration).

The Virus Scan operation performs the following actions:

1. Creates a temporary folder

2. Extracts all files in the current Zip to the temporary folder

3. Runs the virus scanner against files in the temporary folder

4. Deletes all files in the temporary folder and removes the temporary folder.


PowerArchiver - Creating a Self-Extracting Archive

Creating a Self-Extracting Archive

Use the "Make .EXE File" entry in the "Actions" menu to convert the opened archive to a self-extracting archive. Self-extracting archives have an extension of .EXE, and can be run as commands. When a self-extracting archive is run, the files in the archive are automatically extracted. This is convenient because the end user does not need an unzip program (like PowerArchiver) to extract files from these self-extracting archives.


PowerArchiver - Testing an Archive

Testing an Archive

Use the "Test" entry in the "Actions" pull-down menu to test the integrity of the open archive. A dialog box is displayed with the results of the test operation.


PowerArchiver - ZIP Comments

ZIP Comments

Use the "Comment" entry in the "Actions" pull-down menu to activate the Comment dialog box. This feature is available for Zip files only.

A Comment is optional text information that gets embedded in a Zip archive. It can be viewed, created, edited, or deleted using the Comment dialog box. Simply type in your text or use any common Windows cut, copy, or paste methods.
Use the "Close" button to save any comment or edits you've made and close this dialog.

Clicking on "Font" allows you to specify a new display font. It does not affect the archive comment, but is retained as your preference for viewing comments in future sessions.


PowerArchiver - CheckOut Feature

Checkout Feature

The Checkout feature makes it easy to examine and/or run files in an archive. It creates a temporary folder, extracts all files from the archive into the folder and opens a “My Computer" - style window showing files in the folder. Double click any item in the window to perform the action normally associated with the document or program (associations are described in the section titled "Windows Associations"). PowerArchiver will automatically close the window and delete the temporary folder (and the extracted files) when you close the archive or close PowerArchiver.

Use the Checkout toolbar button or the "Checkout" entry in the "Actions" pull-down menu to activate the Checkout dialog box. This dialog box lets you configure the following aspects of the operation:

  • Use the "Folder" edit field to specify the temporary Checkout folder name. The folder will be created if it does not already exist. The suggested folder depends on the setting of the "Checkout base folder" in the Options | Configuration | Folders dialog box.
  • Use the "Group name" edit field to specify the name to use for the Checkout window.
  • Use the "Maximum Icons" edit field to specify the maximum number of items to be placed in the Checkout window.
  • The "Create icons for programs and documents only" check box lets you control whether PowerArchiver creates icons for all files in the archive or only for the specified files. When this option is selected, icons are created for executable files and files with associations.

Operations performed by the CheckOut feature:

When you click on the OK button in the CheckOut dialog box, PowerArchiver performs the following operations:

1. If the specified folder does not already exist, PowerArchiver will create it.

2. The “Checkout window” is actually a second folder, located in \Windows\Start Menu\Programs, that contains shortcuts to the extracted files.

3. PowerArchiver extracts files in the current archive to the specified folder.

5. PowerArchiver creates the Checkout folder and window containing the appropriate icons.

Using the Checkout window:

The window created by "Checkout" is a My Computer-style view of the checkout folder and works like any similar window. PowerArchiver creates shortcuts in this folder for each extracted file so you can use them as follows:

  • If a file is executable, double clicking on the icon runs the program.
  • If a file has an association, double clicking on the icon loads the file in the associated program so you can view the file.


PowerArchiver - Printing a List of the Files in an Archive

Printing a List of the Files in an Archive

To print a list of the files shown in the main PowerArchiver window, select "Print file listing ... to Printer" from the "File" pull-down menu. The columns shown in the PowerArchiver window will be printed using the current sort order.

  • How to Print a List of the Files in an Archive to a Text File or HTML File on Disk?

    Select "Print file listing ... to TXT (or HTML) document" from the "File" pull-down menu.


PowerArchiver - Command Line options

Command Line Options

PowerArchiver can do some operations directly from the command line.

  • Opening compressed file directly from command line:

    Type: POWERARC filename.ext

    For example: POWERARC tutor1.zip
  • Extracting archive:

    POWERARC -e filename.ext
    --> extracts archive "filename.ext" to current directory

    POWERARC -e filename.ext "full_path_where_to_extract"
    --> extracts archive "filename.ext" to directory specified as third parameter

    POWERARC -es filename.exe
    --> extracts archive "filename.exe" to subfolder named ./filename/

    POWERARC -et filename.exe
    --> starts dialog where user can select extracting folder
  • Adding files to archive:

    POWERARC -a [-options] "filename.ext" "full_path_of_files_to_add"
    Options:
      -c<0..4> - set compression level (only ZIP and BH files)
      -s - save full path names
      -u - when adding files uses Update method (only ZIP files)
      -f - when adding files uses Freshen method (only ZIP files)
      -m - move files
      -v - creates volumes with size autodetection (only ZIP files)
      -v< size > - creates volumes with size=<size>*1024 bytes (only ZIP files)

    Examples:
      POWERARC -a -c4 PICS.ZIP c:\PICS\*.*

      POWERARC -a -m DOCS.CAB C:\DOCS\*.DOC

      POWEARC -a -v500 WAVS.ZIP C:\WINDOWS\*.WAV

  • If the archive is a ZIP SFX (self extracting ZIP file) then you can convert it to its original ZIP format by:

    POWERARC -tozip "filename.ext"

  • If the archive is a ZIP file, you can convert it to a ZIP SFX (self extracting ZIP file) by:

    POWERARC -tosfx "filename.ext"

  • If the archive is a ZIP file, you can span it over two or more smaller archives (to fit on separate floppies, for example) by:

    POWERARC -tospan "filename.ext"


PowerArchiver - Configuration Dialog Box

Configuration Dialog Box

Select Configuration...from the Options menu to activate the Configuration dialog box. This dialog box contains tabs that control most PowerArchiver settings. Click on any tab title for further information on its content.

  • The View tab controls the appearance of the main PowerArchiver window.

  • The Toolbar tab lets you customize the look and content of your PowerArchiver toolbar.

  • The Folders tab offers choices for start-up, add, checkout, extract and temporary folders.

  • The Program Locations tab controls the default viewer and virus scanner.

  • The Explorer Shell Extensions tab provides options for accessing PowerArchiver through My Computer, the Windows Explorer and Desktop.

  • The Miscellaneous tab includes many general options.

  • The File Formats tab lets you control which file types you would like to be associated with PowerArchiver

View Tab:

View Toolbar | Shows/Hide toolbar
View StatusBar | Shows/Hide status line
View Archive Folders bar | Shows tree with folders in archive --- only available if using Explorer style
Large Icons / List / Details | Choose which style of icons for file listing do you want to use
Full row select | This option allows you to click anywhere on the file's row of information in order to select it
Grid lines | Display grid lines to separate rows and columns in the main PowerArchiver window
As Web page (single click) | If you select this option, you can open files from archive with just single click. Otherwise you have to double click if you want open file from archive
Classic style / Explorer style | Classic style displays all files from archive in one listing. With Explorer style you can browse through archive like through folders in Windows Explorer

Toolbar Tab:

Show button text | Use this option to display the name of the button under the button graphic on the toolbar
Show tool tips | Use this option to enable the display of brief, pop-up text describing a button's function when your cursor pauses over a toolbar button
Flat toolbar buttons | Use this option to give toolbar buttons a flat look instead of a 3D look
Large buttons | Use this option to display larger toolbar buttons
Toolbar alignment | Choose where you want to see toolbar
Select Buttons... | Enables you to select toolbar buttons

Folders Tab:

Temp folder | Specify which folder will be used for temporary operations
Check out base folder | Specify which folder will be base folder for checkout operations (if archive is TEST.ZIP, then default checkout folder is %base_folder%\TEST)
Start-up base folder | Specify default folder when opening archives
Add folder | Specify default folder when selecting files to add
Extract folder | If you select "Extract to ./archive", and archive name is "C:\TEST.ZIP" then when Extract window shows up default folder will be "C:\TEST". If you select "Extract to current folder" then default extracting directory will be archive's directory (for example, if archive is c:\windows\test.zip, then default directory will be c:\windows). Otherwise the default folder will be last extracting folder

Program Locations Tab:

Viewer | Select default viewer when using
Optional virus scanner | Before you can use "Scan for viruses" feature, you have to specify the full path of your virus scanner, and it's parameters. If you don't know default parameters for your virus scanner, PowerArchiver will automatically write them down if he knows which virus scanner it is. PowerArchiver knows default parameters for McAfee Virus Scan, Norton AntiVirus, TunderByte AntiVirus, F-PROT, ...

Explorer Shell Extensions

Use Explorer Shell Extensions | Enables/Disables context sensitive menus (Extract to, ... , Compress to, ...)
Compress to ZIP... | Enables/Disables menu items: "Compress to ZIP + options" and "Compress to ...ZIP"
Compress to LHA... | Enables/Disables menu items: "Compress to LHA + options" and "Compress to ...LHA"
Compress to CAB... | Enables/Disables menu items: "Compress to CAB + options" and "Compress to ...CAB"
Compress to BH... | Enables/Disables menu items: "Compress to BH + options" and "Compress to ...BH"
Extract archive to... | Enables/Disables menu item: "Extract To..."
Extract archive to current folder... | Enables/Disables menu item: "Extract Here..."
Extract archive to subfolder... | Enables/Disables menu item: "Extract To c:\..."
Convert to SFX | Enables/Disables menu item: "Convert to Self-extracting ZIP"
Convert to ZIP | Enables/Disables menu item: "Convert To ...ZIP"
Use images beside menu items... | Enables/Disables a small PowerArchiver icon displayed to the right of the PowerArchiver Explorer context menu items.
Check executables for self-extracting ZIP files... | Enables/Disables checking whether a EXE file is a ZIP self-extracting archive
Display non-cascaded context menu items... | controls whether PowerArchiver Explorer context menu items are displayed in the main context menu or in a sub-menu.

Miscellaneous Tab:

Show Add when creating new archives... | When you create new archive, and it is empty, PowerArchiver will automatically show Add windows where you can select files to add in archive
Allow all lower case file names | If this option is checked all files shown in file listing will be with lower case file names
Automatically show "Open Archive" dialog box at start-up | When starting PowerArchiver, automatically show Open dialog
Prompt when View button is pushed | Unchecking this option will bypass the View dialog
Show "Automatic Package Installation" form | If archive has Install.exe or Setup.exe in root directory PowerArchiver will ask you if you want to unpack this archive, and run installation
Automatically open next volume if it is in the same directory | If you have for example multi volume RAR archive, and all files (TEST.RAR, TEST.R00, ...) are in the same directory, PowerArchiver won't ask you for confirmation to proceed to next volume
Show "Associate" window if archives not associated with PowerArchiver | If archives are not associated with PowerArchiver, PowerArchiver will ask you if you want to associate then with PowerArchiver
Reuse PowerArchiver Windows | Allow just one instance of PowerArchiver. If you click on archive in Windows Explorer, and already have one instance of PowerArchiver, PowerArchiver will open that archive with the same instance. This speeds up PowerArchiver a lot


PowerArchiver - PowerArchiver Self - Extractor

PowerArchiver Self-Extractor

Overview
PowerArchiver Self-Extractor is included with PowerArchiver. It makes it easy to create files that unzip themselves.

What is a Self-Extracting Zip File?
A self-extracting Zip file is an executable program file (.EXE file) that includes a Zip file and software to extract or “unzip” the contents of the Zip file. Users can run (execute) a self-extracting Zip file just as they run any other program.

When a self-extracting Zip file created by PowerArchiver Self-Extractor is run, a dialog box is displayed. This dialog box makes it easy for the user to change the “unzip to” folder before starting the extract or “unzip" operation.

Self-extracting Zip files created by PowerArchiver Self-Extractor are 100% compatible with the Zip 2.0 file format, so they can be unzipped by standard unzip utilities like PowerArchiver.

What are the advantages to Self-Extracting Zip Files?
Users can extract or “unzip” files from a self-extracting Zip file without running a separate unzip utility or knowing how to use an unzip utility. Thus, self-extracting Zip files are particularly suited to distribution of software for beginning users who are not familiar with the concept of Zip files.

How Does it Work?

There are two parts to the process:

  • The PowerArchiver Self-Extractor program creates self-extracting Zip files.
  • When PowerArchiver Self-Extractor creates a self-extracting Zip file it includes part of itself in the self-extracting Zip file. The part of PowerArchiver Self-Extractor included in the self-extracting Zip file is what makes it possible to unzip the files by simply running the self-extracting Zip file.

The person who creates the self-extracting Zip file runs PowerArchiver Self-Extractor once, specifying the name of the Zip file. The resulting self-extracting Zip file can be distributed to many people, and will unzip itself when it is run.


PowerArchiver - PowerArchiver Self-Extractor - Operation

PowerArchiver Self-Extractor -- Operation

The easiest way to start PowerArchiver Self-Extractor is to first create a normal Zip file with PowerArchiver, then select "Make .EXE File" from the PowerArchiver "Actions" pull-down menu. This will activate PowerArchiver Self-Extractor .

PowerArchiver Self-Extractor dialog box contains the following fields:

Name and folder where you want to leave this new SFX Archive: for example, if the ZIP file was c:\test\test.zip then by default SFX file will be c:\test\test.exe. These fields can be changed to any file name or folder you prefer.

Default “Unzip To” folder: this is the default folder where the unzipped files will be placed. If you write %temp% then those files will be extracted to TEMP= folder (usually c:\windows\temp or c:\temp).

Caption: This will be displayed when the user runs your SFX Archive to start the self-extraction process.

Command line after extracting: Enter the file name which you want to be automatically run after the files have been extracted (for example SETUP.EXE). If there is some parameters to use with some file (for example to SETUP.EXE /net) then you have to divide program name and parameters by pipe. So you have to write: SETUP.EXE|/net. If there are more than one parameters there is no need for more pipes. Example SETUP.EXE /net /test --> SETUP.EXE|/net /test.

CheckBox "Overwrite Files..." allows you to set default overwriting mode. If it is checked then Archive will automatically overwrite all existing files. If it is not checked then Archive won't overwrite existing files. It it is grayed then Archive will ask you if you want to overwrite existing file.

CheckBox "Show success message..." allows you to enable or disable message after all files have been extracted.

CheckBox "Hide OverwriteBox" allows you to hide box with overwriting modes.

CheckBox "Create AutoRun SFX" allows you create SFX Archive that doesn't need click on "Start" button to start extracting. Warning: In this type of archives you won't even see the dialog box, so please be very careful while working with those archives.

Click OK to create the self-extracting Zip file.

Note: it's always a good idea to test a Zip file before distributing it.


PowerArchiver - System Requirements, Installation and UnInstallation

System Requirements, Installation and UnInstallation

  • Microsoft Windows® 95 or 98 or NT 4.0 or higher
  • >= Pentium 100 Mhz or higher processor (recommended Pentium 266 Mhz)
  • >= 12MB or more RAM (recommended 32 MB)
  • A hard disk with at least 5 MB (recommended 30 MB) free
  • A Microsoft or 100% compatible mouse (recommended)
  • Microsoft HTML Help Update, Rich Edit Update v3.0 --- available at PowerArchiver's homepage

No external programs are required to add or extract files to or from an archive.

PowerArchiver Installation:
To install PowerArchiver from the distribution disk, choose "Run" from the Start menu, type a:setup, and press the Enter key. The Setup program will issue a number of prompts. Unless you have a reason to override the defaults it is strongly recommended that you accept the installation default settings (just press OK, Yes, or Next, as appropriate).

PowerArchiver Uninstallation:
Activate the Control Panel, double click Add/Remove Programs, and double click on the PowerArchiver list box entry.

Technical details:
The “Uninstall PowerArchiver” procedure performs the following steps:

1. Verifies that it is safe to uninstall

2. Deletes the files in the PowerArchiver folder

3. Removes the PowerArchiver icons and Start menu entries

4. Removes the PowerArchiver entries from the registry


PowerArchiver - Getting Support on PowerArchiver

Getting Support on PowerArchiver

To check whether you have the most recent version of PowerArchiver, please check the PowerArchiver home page at

http://www.powerarchiver.com

Technical support is available at no charge as described below. The best way is to send an e-mail to support@powerarchiver.com.

When reporting problems, please include the following information:

1. Is the problem reproducible? If so, how?

2. What version of Windows are you using? For example, Windows 98, Windows NT 4.0, etc.

3. What version of PowerArchiver are you running? Select "About PowerArchiver..." from the PowerArchiver "Help" pull-down menu. Please include the entire “version” line in your problem report.

4. If a dialog box with an error message was displayed, please include the full text of the dialog box, including the text in the title bar.


PowerArchiver - Credits

Credits

PowerArchiver incorporates compression code by Chris Vleghert and Eric W. Engler for ZIP file support, so I would like to give them special thanks. Their sources and DLLs can be found at http://members.tripod.lycos.nl/Vleghert/.

PowerArchiver also incorporates compression and uncompression code by Carl Bunton for working with BH, RAR, CAB, LHA, ARJ, ACE, ARC, ZOO, TAR and GZ Archives. Those units are part of ZipTv component pack --- powerful pack for handling many archive formats in Delphi and C++ Builder. More informations about ZipTv see at: http://www.ziptv.com.

For compressing/decompressing BZIP2 compressed files (.bz, .bz2, .tbz, .tbz2) PowerArchiver is using LIBBZ2.DLL. BZIP2 project is completly free and available for everyone. More informations at http://sourceware.cygnus.com/bzip2.

There are many people who have helped me making PowerArchiver, so I will just say thanks to all of them, but special thanks goes to:

    David Cornish
      --- who improved explorer shell extensions, created "Large buttons" images, gave me many suggestions, found many bugs and gave many solutions for many problems, ...
    Eprog
      --- who has helped me with setting Japanese characters
    Dan Osborne
      --- who has made grammar and spelling corrections on help files
    Vilis Eglitis
      --- who translated all the help files to Russian
    Dominque Ryan
      --- who created "PowerArchiver" logo for "About" window
    Marco D'Amato
      --- who translated the help files to Italian


PowerArchiver - Double Clicking

Double Clicking

Double clicking on a filename listed in the main PowerArchiver window will perform the same action that is performed when you double click on a file in My Computer or the Windows Explorer. If the file is executable (has a filename extension of EXE, COM, BAT, or PIF), PowerArchiver will run it. Otherwise, PowerArchiver will open the file with the appropriate application. For example, files with a filename extension of .TXT are opened by the Windows Notepad application (unless you have changed the TXT association). The appropriate application is determined via Windows Associations.


PowerArchiver - Windows Associations

Windows Associations

Microsoft has defined the word “associate” as follows:

To identify a filename extension as belonging to a certain application, so that when you open any file with that extension, the correct application is opened automatically.
For example, by default, Windows associates .WRI files with the Write or WordPad application, and .TXT files with the NOTEPAD application. Most Windows application installation procedures create associations. For example, Word for Windows creates an association for .DOC files, while PowerArchiver creates associations for files with the extension .ZIP.

PowerArchiver uses associations when you Double Click on a filename listed in the main PowerArchiver window and when you use the Checkout Feature.
PowerArchiver, My Computer, the Windows Explorer, and the File Manager all use associations in the same way. When you double click on a file with an association, the application associated with the file is run, and the application automatically opens the file. The PowerArchiver Checkout facility establishes associations when it updates the Checkout program group for two reasons: to display the right icon for each file and to ensure that the appropriate application is run when you double click on an icon.

You can view, add and remove associations using the "File Types" tab in the "Options" dialog box in My Computer or Explorer. Select "Options" from the "View" pull-down menu in My Computer or Explorer, then click on the "File Types" tab.


PowerArchiver - Keyboard Shortcuts

Keyboard Shortcuts

PowerArchiver has several methods of selecting various options. Almost every option performed in PowerArchiver can be accessed directly from the PowerArchiver menu. In addition to the PowerArchiver menu, there are three other methods to select the most frequently used options.

The PowerArchiver Toolbar:
The PowerArchiver Toolbar enables direct access to the most frequently used PowerArchiver options with a single mouse click. The default Toolbar buttons are, from left to right:

Button 1 - New - creates a new archive file
Button 2 - Open - opens an existing archive file
Button 3 - Favorites - easy access to your most used Zip archives
Button 4 - Add - adds a file or files to an archive
Button 5 - Extract - makes a decompressed copy of files from an archive
Button 6 - Delete - deletes unwanted files from an archive
Button 7 - View - quick and easy viewing of a file in an archive
Button 8 - CheckOut - creates icons for files in an archive

Access Keys:
The following PowerArchiver commands can also be accessed by using the indicated keyboard combinations.

F1 | Activate help system
Ctrl+N | Create a new archive.
Ctrl+O | Open an existing archive.
Shift+F | Favorite Folders.
Shift+L | Close an archive.
F7 | Move an archive
F8 | Copy an archive
Shift+R | Rename an archive.
Shift+A | Add files to an archive.
Shift+D | Delete files from an archive.
Shift+E | Extract files from an archive.
Shift+V | View files in an archive.
Ctrl+P | Print a listing of files in an archive.
Ctrl+A | Select all items in the list box.
Ctrl+U | DeSelect all items in the list box.
F3 | Select similar files in an archive.
Shift+S | Run virus scanner.
Shift+T | Test an archive.
Shift+U | Uuencode an archive.
Shift+G | View, add, or edit a comment
Shift+K | Create a self-extracting archive.
Shift+C | Activate the CheckOut feature.
Shift+I | Install files in an archive.
Direction key(s) Shift+direction keys | Move the cursor and/or scroll a list. Select multiple items in a list box.
Enter | Same as Double Clicking in the main window.
Alt+F4 | Exit (terminate) PowerArchiver

Popup Menu:
The following PowerArchiver commands can also be accessed by clicking the right mouse button and selecting them from the popup menu that is displayed. There are three pop-up menus. One is displayed when a file or files are selected. Another is displayed when no file is selected. The third menu is displayed when you right click on the ToolBar.

In the first pop-up menu, you can do operations on selected file(s) --> Open, Add File(s), Delete File(s), Extract File(s), View File(s), Select All Files, Invert Selection, File Properties, but and other archive operations --> Virus Scan, CheckOut, Test, ....

In the second pop-up menu, you can select a sort order or preview the archive's properties.

In the third pop-up menu, you can set ToolBar options like displaying text on the buttons, choosing between flat or single buttons,choosing to display or to not display button hints, choosing aligment of ToolBar and choosing which buttons to be visible on Toolbar .


PowerArchiver - Multiple Disk Spanning

Multiple Disk Spanning

PowerArchiver makes it easy to create Zip files that “span” multiple disks. This is useful if the files you are working with will not fit on one disk.

To make a Zip file that spans multiple disks, simply create a Zip file on a removable disk or even on fixed disk, then click on the Add button, select the files you want to add and in the left bottom corner select "Automatic" from the "Multiple disk spanning" listbox. If the disk fills during the Add operation, you will be prompted for another disk. Simply insert the next disk and click the OK button.

Important: If you later want to extract something from a spanned disk, you have to open the last disk to that set. Then you can select the files to extract.

Example:

To zip the files in your c:\data folder to a Zip file called A:\DATA.ZIP:

1. Start PowerArchiver.

2. Click on the New button and type "A:\data" (without the quotes).

2. Click on the Add button and select the folder "c:\data" and select Automatic in the "Multiple disk spanning" list box.

3. Click on the Add button.

If more than one disk is needed, you will be prompted for additional disks.


Version History

PowerArchiver 2000 Version 5.5
Copyright(c) 2000 eFront, Inc.
All Rights Reserved

#####################################################################

Support:
 support@powerarchiver.com
 http://www.powerarchiver.com

#####################################################################

Version 5.5 [04/12/2000]

  --> support for decompressing BZIP compressed  files,  support  for
      creating   TAR.BZ2  archives (using "BZIPed TAR"  method  while
      adding files to TAR  archive), tool for   extracting   multiple
      archives, internal viewer now supports GIF files,  "Background"
      &&   "Minimize"  buttons  for  extract/add  window  in  Windows
      Explorer, "Elapsed time" feature in  extracting/adding  windows
      in Windows Explorer, ...
      Many, many bug fixes (faster  drag&drop  to  Windows  Explorer,
      icons on Windows 2000, saving favorites improved, ...)
      For a detailed list of new features and bug fixes, please visit
      the PowerArchiver web-site at http://www.powerarchiver.com.

Version 5.1 [03/05/2000]

  --> "Mail Archive"    and  "Email-It"  feature   for Explorer Shell
      Extensions, support for extracting more  than  one archive with
      one click using Explorer Shell Extensions,  internal viewer now
      support viewing multiple files, added feature to  automatically
      show Zip comment  when  opening  archive, small image on status
      bar when archive has a comment, bug fixes.
      Web site moved to a new location: http://www.powerarchiver.com.
      For a detailed list of new features and bug fixes, please visit
      the PowerArchiver Forum at http://www.powerarchiver.com.

Version 5.01 [01/11/2000]

  --> Bug fixes (extracting from  LHA  archives,  extracting  spanned
      archives, problems with large archives (over 1 GB),  few  misc.
      changes), ...

Version 5.0 [01/07/2000]

  --> EasyZip renamed  to  PowerArchiver,  added  support for writing
      TAR and TAR.GZ archives, internal viewer  now  beside TXT files
      support RTF, BMP, ICO, WMF, EMF and JPG (JPEG) files,  tool for
      detecting archive  format, selecting custom toolbar buttons now
      available using "Small buttons", small misc features  and many,
      many bug fixes...

Version 4.6 [12/01/1999] (SR-1 [12/08/1999])

  --> Improved  context  sensitive  menus (added many options and new
      features), added   complete   support   for BH (BlakHole - fast
      archive format by Carl Bunton, that has better compression than
      ZIP, ARJ and   LHA   formats)   format   (creating,   deleting,
      extracing, ...), some bug fixes, ...

      (SR-1 --> small changes  on "Explorer Style"  toolbar   images,
      some small bug fixes)

Version 4.5 [11/10/1999]

  --> Now support for creating CAB and LHA (LZH) archives, two  modes
      of viewing  files  (Classic - all  files  in the same  listing,
      Explorer - navigation throught archive like throught folders in
      Windows Explorer), option to use  only  one  instance,  tool to
      convert  archives  to  other  formats (for example ZIP -> CAB),
      reading and writing ZIP spanned disks, few misc features, ...

Version 4.1 SR-1 [10/07/1999]

  --> Option  to  change  between  new  style  and  old style toolbar
      images, some small bug fixes, ...

Version 4.1 [10/01/1999]

  --> New  help,   now   using   "Microsoft Html Help",  customisable
      toolbar, bug fixes, ...

Version 4.0 [08/27/1999]

  --> "Built-in support!" for reading and extracting CAB,  LHA,  ARJ,
      ACE, ARC, ZOO, GZ and TAR  archives,  support  for  XXE and UUE
      Encoded   files,  improved  context-sensitive  menus,  printing
      list of files in archive, added some misc features, ...

Version 3.5 [07/05/1999]

  --> Better  integration  with  Windows (context  sensitive  menus),
      improved SFX Archive,  many,  many  bug  fixes,  added  support
      for reading RAR SFX Archives, added some misc features, ...

Version 3.0 [06/05/1999]

  --> RAR limited (read-only)  support,  faster  file  list  loading,
      better  help,  better integration with Windows (adding any file
      to any archive  with  SendTo function), some misc features, bug
      fixes, ...

Version 2.6 [05/05/1999]

 --> Draging files from PowerArchiver to Explorer, some misc features,
     ...

Version 2.5 [04/15/1999]

 --> Renaming files in archive  as  in  Windows  Explorer, installing
     archives (if they have SETUP.EXE or INSTALL.EXE in  the  central
     directory), checking for viruses in  archive,  writing comments,
     bug  fixes   (like  those  when  click  on  archive  in  Windows
     Explorer), some misc features, ...

Version 2.2 [03/31/1999]

 --> Finally PowerArchiver works correctly on Windows NT, selecting a
     group of files  to  add  (like *.mp3),  corrected bug when there
     is no associated  program  with   selected   file  (now starting
     default viewer), saving some new options (like spanning options,
     default compression,   last  view  choice),   removed   drag  to
     explorer function  because  stability,  removed testing function
     because stability, returned back old menu style, bug fixes, ...

Version 2.1 [03/17/1999]

 --> Only few corections on interface, some bugs fixes, ...

Version 2.0 [03/10/1999]

 --> Support  for  creating multiple spanning disks, testing Archive,
     viewing  comments,  converting  Self-Extracting Archives to .ZIP
     Archives, Help Tutorial improved, seting password, ...

Version 1.0 [03/01/1999]

 --> Self-Extracting Archives  can  be  created,  added  "Find files"
     feature, some bug fixes, interface improved, ...

Version 1.0b [02/01/1999]

 --> Selecting viewstyle for  icons,   added  "as Web page"  feature,
     added "View last output" feature, some bug fixes, ...

Version 0.9b [01/01/1999]

 --> Improved help, some bugs fixes, ...

Version 0.65b [12/01/1998]

 --> Slight integration with Windows Explorer  added.  Now  be  click
     with right mouse  button   on  Archive   you can  Extract it  in
     current   directory,  or   in subdirectory  named ".\archive\".,
     some bugs fixes, ...

Version 0.6b [11/01/1998]

 --> Added   CheckOut    feature,   added   file   properties,   help
     improved, ...

Version 0.5b [09/01/1998]

 --> Only base features (New, Open, Favorite,  Add,  Extract, Delete,
     View, Drag and Drop, Configuration, Help, Copy  Archive,  Delete
     Archive, Move Archive, Rename Archive), ...


PowerArchiver - Frequently Asked Questions

Frequently Asked Questions

Basic

How do I get started?

How do I use disk spanning?

Technical

How do I compress a folder and later restore it?

Short questions:

  • Q: I have Win98 system and sometimes PowerArchiver when starting crashes Windows Explorer. What should I do?
  • A: Windows 98 uses the old RichEdit libraries and you need to update them. Go to PowerArchiver's homepage and select "Download" to get this update.
  • Q: When I click on "Contents" from the "Help" menu or a "Help" button PowerArchiver doesn't show that topic.
  • A: PowerArchiver uses a new form of Help file (Microsoft Html Help) which you can download directly from PowerArchiver's homepage. To use this new help file you must have Internet Explorer >=3.0 installed on your system.
  • Q: Is PowerArchiver really totally free no matter how it's used? Can I use it at work?
  • A: Yes, PowerArchiver is totally free so you can use it wherever you want. Also you can make copies of it for as many friends or computers as you want.
  • Q: Does PowerArchiver support multiple spanning disks on Self-Extracting Archives?
  • A: PowerArchiver SFX archives doesn't support spanned ZIP archives. But for creating more powerful SFX archives download PowerArchiver SFX Maker. It's FREE, powerful, stand alone program that completely integrates with PowerArchiver. Beside many powerful features it supports creating spanned SFX archives.
  • Q: What is the difference between PowerArchiver and other archive utilities?
  • A: PowerArchiver is easier, it's FREE and it has more features than most other archive programs.
  • Q: Does PowerArchiver support other archive formats?
  • A: Yes, currently besides ZIP files, PowerArchiver supports creating and working with CAB, LHA (LZH), TAR, TAR.GZ, [image] TAR.BZ2 [image] and BH (BlakHole) archives, and supports reading and extracting RAR, ARJ, ARC, ACE, GZip and ZOO archives. It also has complete built-in support for XXE and UUE internet encoded files.
  • Q: How can I create TAR.GZ or TAR.BZ2 archives (compressed files)
  • A: When creating new archive you have to use TAR archive from "File Type". Then while adding files to that archive you have to choose "GZIPed TAR" or "BZIPed TAR" method from compression combo-box in Add window.
  • Q: Is PowerArchiver compatible with Windows 2000?
  • A: Since this version there were small misc bugs that I now fixed, so it is completely compatible with Windows 2000.
  • Q: Is PowerArchiver Year 2000 compatible?
  • A: I have been testing PowerArchiver 5.0 for Year 2000 (Y2K) Compliance and it seems, to the best of my knowledge, that PowerArchiver 2000 v5.0 is completly Year 2000 Compliant.
  • Q: Can I put a link to your page from my home page?
  • A: Yes, you are very welcome to. On the PowerArchiver web site you can find small pictures of "PowerArchiver Now" which you can freely put on your page and link to http://www.powerarchiver.com
  • Q: Can we put PowerArchiver on our CD-ROM or distribute it with our magazine?
  • A: Definitely! I will be very happy that you did.
  • Q: In which programming language did you develop PowerArchiver?
  • A: PowerArchiver was developed in Delphi 3.0 Standard.
  • Q: When did you start this project?
  • A: I started this project in August 1998 and its first public release was in March 1999.


 PowerArchiver - Hints and Tips

Hints and Tips

Here are the hints and tips displayed by the “Tip of the Day” dialog box:

  • The Tip of the Day dialog box is normally displayed when you start PowerArchiver but are not automatically opening a Zip file. You can change this option so tips are never displayed, or always displayed when PowerArchiver is started.
  • If you turn the Tip of the Day off and later want to restore it, select "Tip of the Day" from the PowerArchiver Help pull-down menu, then select from the combo box at the bottom of the dialog box.
  • PowerArchiver's toolbar buttons look much better if your display if in high-color mode.
  • For a Brief Tutorial on PowerArchiver, select "Brief Tutorial" from the PowerArchiver Help pull-down menu.
  • PowerArchiver completely supports the ZIP, CAB, LHA, TAR (TAR.GZ && TAR.BZ2) and BH format and both internet file formats: XXE and UUE. It can also read and extract from the following: RAR, ARJ, ARC, ACE, ZOO.
  • For quick zipping and unzipping, you can right-click on a file listed in Explorer and choose "Compress to Zip + options" or "Extract to..." from Explorer's context menu.
  • You can unzip all the files from a Zip without leaving Explorer. Right click on the Zip file and select "Extract to..." from the pop-up menu.
  • You can create Zip files in the Explorer: right click in the Contents pane, then select "New" and "PowerArchiver File". An empty Zip file will be created in the current folder.
  • You can directly add selected files to a Zip while in Explorer with complete control of options. Right click on any file (or highlighted group of files) and select "Compress to Zip + options." from the pop-up menu
  • For answers to Frequently Asked Questions (FAQ), select Frequently Asked Questions from the PowerArchiver Help pull-down menu.
  • If you like more Explorer style buttons, right click on toolbar and uncheck "Large buttons".
  • With PowerArchiver you can view files in archive with folders like in Windows Explorer. Click on "Explorer Display Style" from PowerArchiver View pull-down menu.
  • To display details about the open Zip file (for example, the date the Zip file was last modified or the name of the folder containing the Zip file), click on the PowerArchiver status line or select "Properties" from the PowerArchiver File menu.
  • You can interrupt an archive operation by clicking anywhere in the PowerArchiver window. This will activate the "Operation Interrupted" dialog box.
  • You can quickly extract files from a Zip file by dragging the files from PowerArchiver to any folder or Explorer window (or even to the desktop).
  • You can quickly add files to a Zip file by dragging the files from any folder or Explorer window to PowerArchiver.
  • PowerArchiver supports Zip files that span multiple disks, so you can store a single file on more than one diskette.
  • If you need to send files to a user who may not have an unzip utility, try "PowerArchiver's Self-Extractor". The self-extractor makes files that unzip themselves. First create a zip file, then select "Make .EXE" from the Actions menu.
  • You can open files with a single click like Active Desktop by choosing "As a Web Page" from the View menu.
  • Add a reminder of the contents of your ZIP file to the file itself (like a Postit Note). Select "Comments" from the Actions menu.
  • If you have lots of files in a ZIP it might be easier to find the one(s) you want by listing them in a different order. Click on the labels at the top of the column to arrange the contents by that category or choose Arrange Icons under the View menu.
  • Quickly select similar files using "Find File(s)" under the Edit menu.
  • If you can't remember where you put your Zip files, you can use the Favorite Zip Folders feature to find them. Select "Favorite Zip Folders" from the PowerArchiver File menu.
  • If you usually use the same folder when opening, extracting or adding files, specify those folders in the Folder tab in the Options -> Configuration dialog box.
  • Columns can be arranged in any order you prefer. Just drag the column you want to move and drop it where you like.
  • Zip files opened with PowerArchiver are added to Start menus's Document list. To quickly open Zips that you have recently worked with, select "Documents" from the Start menu.
  • You can easly print a list of files in Zip by selecting "Print File listing" and "...to Printer" from the File menu.
  • Test the integrity of ZIP archives once you have created them to ensure that the data is correctly stored and that errors will not occur on extraction. Choose "Test" under the Actions menu.
  • PowerArchiver's Internal Viewer has support for viewing not only TXT files. Currently beside TXT files it supports: RTF, BMP, ICO,WMF, EMF and JPG (JPEG) files.
  • With (+) and (-) buttons, on the bottom of the main PowerArchiver form, you can quickly select/deselect all files in the archive.
  • Mailing your archives is easy!

    Just choose the "Mail Archive" entry from PowerArchiver's File menu.
  • PowerArchiver can automatically display the Zip comment when you open a Zip file that contains a comment. And, when the open Zip file has a comment, you can click the comment icon on the status bar to view and edit the comment.
  • If you like the look of Internet Explorer's toolbar, you can have the same look in PowerArchiver. Choose "Configuration" from PowerArchiver's "Options" menu, click on the "Toolbar" tab, and uncheck "Large buttons".


PowerArchiver - How do I compress a folder and later restore it?

How do I compress a folder and later restore it?

How to compress a folder and its subfolders:

1. Start PowerArchiver

2. Select "New Archive" from the "File" menu

3. Type the name of the archive, for example: C:\MYDIR.ZIP and press the Enter key

4. Select the directory you want to compress.

5. Be sure the "Save extra folder info" box is NOT checked

6. Press "Add" button.

How to restore a folder and its subfolders:
1. Start PowerArchiver and open the ZIP created in step 1 above

2. Select "Extract" from the "Actions" menu

4. Type the destination folder, for example C:\MYDIR

5. Press the "Extract" button


PowerArchiver - The Main PowerArchiver Screen

The Main PowerArchiver Screen

If you haven't already done so, load the PowerArchiver program by clicking on the "PowerArchiver" Icon located in your "PowerArchiver 2000" program folder. You should now see the PowerArchiver Main Screen.

The Main PowerArchiver screen shows three basic items. The Menu, Toolbar and File listing sections. The Menu lets you navigate some and all of PowerArchiver's features. The Toolbar lets you quickly access the power of PowerArchiver's most commonly used features. The File listing section displays information about each file that is contained within the opened Archive. The file list can be displayed in any order and in any sort order. To change the columns order simple drag the column header to the new position. To change a sort order simple click on any column.


PowerArchiver - Opening an Archive

Opening an Archive

To manipulate an existing Archive file already on your hard disk, first you must open the Archive.
From the PowerArchiver "File" Menu, select the option "Open Archive". You can also do this by clicking on the "Open" button. You will see a standard Windows 95 style Open Dialog. Navigate to the folder where you installed PowerArchiver (the default folder is C:\Program Files\PowerArchiver). You should now see a listing of files that includes TUTOR1.ZIP. Highlight the file, TUTOR1.ZIP and press the "Open" button. The Open Dialog closes and you are returned to the Main PowerArchiver screen.

You should now see a listing of the three files contained within the TUTOR1.ZIP Archive file. The file information listing shows the name of the file, date & time stamp, uncompressed and compressed size of the file, ratio of the compression file and file path.


PowerArchiver - Creating a New Archive

Creating a New Archive

Since you will more than likely want to create your own archives, we'll now perform the steps to Create a New Archive.

From the "File" Menu, select the option "New Archive". You will now see the standard Windows 95 Save Dialog box. Navigate to the folder where you installed PowerArchiver (the default folder is C:\Program Files\PowerArchiver). In the "File name:" Edit Box, type TUTOR2 and press the enter key (or click on "Open" button).

Because TUTOR2.ZIP is empty "Add" dialog box will display automatically.


PowerArchiver - Adding Files to an Archive

Adding Files to an Archive

After creating TUTOR2.ZIP and the Add Dialog box is displayed, now..

Select the files (or directories) and press on the "Add" button. Now you are again in the Main PowerArchiver Screen but you are not able to do anything until PowerArchiver finishes compressing and adding the selected files to your new Archive. After the compressing is finished you are able to work with PowerArchiver again.

If you want to cancel the adding process, simply click on the file list and when confirmation dialog box shows answer with "No".

Another way to add a file or files is to drag them from Windows Explorer or from Desktop to PowerArchiver.


PowerArchiver - Removing File from an Archive

Removing Files from an Archive

The TUTOR2.ZIP Archive file created in the previous step should still be open.

Let's now assume that we no longer wish some file(s) to be included in the TUTOR2.ZIP Archive. To remove files from the archive, select each file by mouse click while holding down the CTRL key. Now from the "Actions" Menu, choose the option "Delete...". The Delete dialog box will be displayed and "Selected files" will be checked. To delete the files you have selected, press Enter or click on the "OK" button.

Note: you have to select some file(s), otherwise it will delete all the files in the archive.


PowerArchiver - Viewing Files in an Archive

Viewing Files in an Archive

A powerful feature of PowerArchiver is its ability to view the contents of a file that is compressed inside the Archive. First, we need to open the TUTOR1.ZIP Archive.

From the PowerArchiver "Files" Menu, select the option "Open Archive" to open the TUTOR1.ZIP file. Then just double click on a file you want to view and PowerArchiver will automatically start the program associated with that file, such as Notepad for .txt files.


PowerArchiver - Extracting Files from an Archive

Extracting Files from an Archive

You will undoubtedly need to Extract a file from an archive. Extracting a file from an archive creates an uncompressed copy of the file in the folder of your choice on your hard disk. Extracting the file from an archive does not remove the file from the archive.

Highlight the file or files you want to extract in the listing of files contained within the TUTOR1 Archive. Choose the option "Extract..." from the "Actions" Menu. Select the folder where you want to extract the file(s) and press "Extract" button. If you open the Windows Explorer program and navigate to the selected directory, you will see that the selected file or files were extracted. Another way to extract a file or files is to drag them to Windows Explorer or the Desktop.